
// *****************************************************************************
//
// source:    acinit.C
//
// type:      source code
//
// created:   22 Nov 1999
//
// author:    Andreas Gellrich
//            HERA-B Collaboration
//            DESY Zeuthen
//            Platanenallee 6
//            D-15738 Zeuthen
//            Germany
//            email: Andreas.Gellrich@desy.de
//
// symbol:    acinit_()
//
// changes:
// 24 Apr 2000 (AG) use ARTE_mark()
//
// *****************************************************************************

// standard includes
#include <iostream.h>

// ARTE includes
#include "farm/farm.hh"

// prototypes
int RC_init();
int DQ_init();
int AC_init();

//
// program code
//
extern "C" void
acinit_()
{
//----------------------------------------------------------------

  // inits
  int rc = 0;

  // RC initialiation
  ARTE_mark( "RC_init", 0 );
  rc = RC_init();
  
  // DQ initialization
  ARTE_mark( "DQ_init", 0 );
  rc = DQ_init();

  // AC initialization
  ARTE_mark( "AC_init", 0 );
  rc = AC_init();
}
