#ifndef _GMAT_H_
#define _GMAT_H_
typedef struct {
   char name[12];
   float a;
   float z;
   float dens;
   float radl;
   float absl;
   int nmix;
   int flag;
   int gmix;
   float loss;
   int pgede;
   int pgcal;
   int pgwal;
   int pnede;
   int pncal;
   int pnwal;
} GMAT;
#define  JGMAT (gcbank_.iq+artelink_.jgmat)
#define  NGMAT() N_U(JGMAT)
#define NCGMAT() N_C(JGMAT)
#define GMAT(i) (*((GMAT*)(JGMAT+2)+(i)-1))
#include "auto/GMGD.h"
#define GMAT_pgede(i) GMAT(i).pgede
#define GMAT_mgede(i) M_R(i,JGMGD)
#define GMAT_xgede(i) X_R(i,JGMGD)
#include "auto/GMGC.h"
#define GMAT_pgcal(i) GMAT(i).pgcal
#define GMAT_mgcal(i) M_R(i,JGMGC)
#define GMAT_xgcal(i) X_R(i,JGMGC)
#include "auto/GMGW.h"
#define GMAT_pgwal(i) GMAT(i).pgwal
#define GMAT_mgwal(i) M_R(i,JGMGW)
#define GMAT_xgwal(i) X_R(i,JGMGW)
#include "auto/GMND.h"
#define GMAT_pnede(i) GMAT(i).pnede
#define GMAT_mnede(i) M_R(i,JGMND)
#define GMAT_xnede(i) X_R(i,JGMND)
#include "auto/GMNC.h"
#define GMAT_pncal(i) GMAT(i).pncal
#define GMAT_mncal(i) M_R(i,JGMNC)
#define GMAT_xncal(i) X_R(i,JGMNC)
#include "auto/GMNW.h"
#define GMAT_pnwal(i) GMAT(i).pnwal
#define GMAT_mnwal(i) M_R(i,JGMNW)
#define GMAT_xnwal(i) X_R(i,JGMNW)
#endif
