*CMZ :          04/09/96  21.04.23  by  Fedor Ratnikov
*CMZ :  1.00/00 22/12/94  20.11.24  by  Dominik Ressing
*-- Author :    Dominik Ressing   22/12/94
************************************************************************
*
* L1GETRX
* written by Dominik Ressing, 22/12/94 20.04.40
*
* This routines action:
* get pointer to tracks extra stored values
*
* Arguments  kind         description
*          (in,update,out)
*----------------------------------------------------------------------*
* itrk        in          track number
* Jpo         out         pointer to Jl1_TRACKS table row
*
************************************************************************
c
      SUBROUTINE L1GETRX(iTrk,Jpo)
c
      IMPLICIT NONE
c
#include "arte/Arte.fi"
#include "l1si/l1param.fi"
#include "l1si/l1clink.fi"
#include "l1si/rcfdef.fi"
#include "l1si/l1banks.fi"
c
      INTEGER iTrk,NL1trk,IL1trk,NWRD,Jpo
c
#include "arte/Arte.ff"
#include "l1si/rcfunc.ff"
c
      NL1trk = N_U(Jl1_TRACKS)             ! number of stored tracks for L1
      NWRD   = N_W(Jl1_TRACKS)             ! number of words per row in this table
      Jpo = 2 + Jl1_TRACKS + L1_TRK_TRK    ! pointer to first table columns track ID
c
      DO IL1trk = 1,NL1trk                 ! loop over extra table
         IF ( IQ(Jpo).eq.iTrk ) THEN       ! track in table ??
            Jpo = Jpo - L1_TRK_TRK         ! point before row
            RETURN
         END IF
         Jpo = Jpo + NWRD                  ! point to next row track number
      END DO
c
      Jpo = 0
c
      RETURN
c
      END
