*CMZ :  1.00/07 19/10/95  13.02.36  by  Fedor Ratnikov
*CMZ :  1.00/06 29/09/95  19.46.03  by   Ivan Belyaev
*CMZ :  1.00/05 27/09/95  22.27.03  by   Ivan Belyaev
*CMZ :  1.00/03 28/08/95  10.48.06  by  S.B.
*CMZ :  1.00/01 08/06/95  19.05.54  by  Dominik Ressing
*CMZ :  1.00/00 21/02/95  18.02.45  by  Fedor Ratnikov
*CMZ :   . 1/03 24/07/94  13.29.33  by  Dominik Ressing
*-- Author :    Dominik Ressing   24/07/94
************************************************************************
*
* L1USRIN
* written by Dominik Ressing, 24/07/94 13.17.22
*
* This routines action:
* User routine called after initialization of the package
*
* Arguments  kind         description
*          (in,update,out)
*-----------------------------------------------------------------------
* itime        in         startup time of the trigger
*
*
************************************************************************
c
      SUBROUTINE L1USRIN(itime)
c
      IMPLICIT NONE
c
#include "l1si/l1param.fi"
#include "l1si/l1hbook.fi"
#include "l1si/l1user.fi"
#include "l1si/l1mutest.fi"
c
      INTEGER itime,itup,idtup
      LOGICAL ifMAsTup
c
      CHARACTER*4 c_L1PARNPartTypes
      DATA ifMasTup /.FALSE./
c
c      iaa=L1PARNPartTypes
      DO itup=1,L1NtupMax
         idtup = L1NtupID(itup)
         IF(idtup.EQ.0)   THEN
            GOTO 777
         ELSEIF(idtup.EQ.L1EVTTUPnr)  THEN
            CALL HBNT(L1EVTTUPnr,'Event',' ')
            CALL HBNAME(L1EVTTUPnr,'values',T1EVTTUMass,L1EVTTUPvalues)
            WRITE(c_L1PARNPartTypes,'(I1.1)')L1PARNPartTypes
            CALL HBNAME (L1EVTTUPnr,'PtValues',T1EVTTUMaxPtValues(1)
     $           ,L1EVTTUPMaxPtValues1//c_L1PARNPartTypes
     &          //L1EVTTUPmaxPtVAlues2 )
            CALL HBNAME (L1EVTTUPnr,'statis',L1EVTTUNpairs
     $           ,L1EVTTUPstatis)
         ELSEIF(idtup.EQ.L1TRKTUPnr)  THEN
            CALL HBNT(L1TRKTUPnr,'Track',' ')
            CALL HBNAME (L1TRKTUPnr,'values',L1TRKTUID,L1TRKTUPvalues)
         ELSEIF(idtup.EQ.L1MESTUPnr)  THEN
            CALL HBNT(L1MESTUPnr,'Message',' ')
            CALL HBNAME (L1MESTUPnr,'values',L1MESTUiBX,L1MESTUPvalues)
         ELSEIF(idtup.EQ.L1MASTUPnr)  THEN
            CALL HBNT(L1MASTUPnr,'Masses',' ')
            CALL HBNAME (L1MASTUPnr,'values',L1MASTUbx,L1MASTUPvalues)
            ifMasTup = .TRUE.
         ELSEIF(idtup.EQ.L1MASMCTUPnr.AND.ifMasTup)  THEN
c            CALL HBNT(L1MASMCTUPnr,'MC for masses',' ')
            CALL HBNAME (L1MASTUPnr,'MCvalues',L1MASMCIDpre1,
     &           L1MASMCTUPvalues)
         ELSEIF(idtup.EQ.L1MASPTTUPnr.AND.ifMasTup)  THEN
            CALL HBNAME (L1MASTUPnr,'PTvalues',T1MASPTTUP1PTx,
     &           L1MASPTTUPvalues)
         ELSEIF(idtup.EQ.L1PRETUPnr)  THEN
            CALL HBNT(L1PRETUPnr,'PreTrig',' ')
            CALL HBNAME (L1PRETUPnr,'values',L1PRETUType,L1PRETUPvalues)
         ELSEIF(idtup.EQ.L1TFUTUPnr)  THEN
            CALL HBNT(L1TFUTUPnr,'TFUs',' ')
            CALL HBNAME (L1TFUTUPnr,'values',L1TFUTUibx,L1TFUTUPvalues)
         ELSEIF(idtup.EQ.L1TRATUPnr)  THEN
            CALL HBNT(L1TRATUPnr,'Tracks',' ')
            CALL HBNAME (L1TRATUPnr,'values',L1TRATUibx,L1TRATUPvalues)
         ELSEIF(idtup.EQ.L1GAMTUPnr)  THEN
            CALL HBNT(L1GAMTUPnr,'Photons',' ')
            CALL HBNAME (L1GAMTUPnr,'values',L1GAMTUiBX,L1GAMTUPvalues)
         ELSEIF(idtup.EQ.L1PPTTUPnr)  THEN
C*
C*        Tuple of the Dr.P.Pakhlov PreTrigger Information
C*
          CALL HBNT(L1PPTTUPnr,'P.Pakhlov''s PreTrigger',' ')
          CALL HBNAME (L1PPTTUPnr,'values'
     &       ,L1PPTTUPiEvent,L1PPTTUPvalues)
         ELSEIF(idtup.eq.L1TFUCONnr) THEN
c
c           Tuple for TFU - connections
c
            CALL HBNT(L1TFUCONnr,'TFU - connections',' ')
            CALL HBNAME(L1TFUCONnr,'values',L1TFUCONsuper,
     +           L1TFUCONvalues)
         ELSEIF(idtup.eq.L1MUPRTUnr) THEN
c
c           My private Ntuple for muon test purposes
c
            CALL HBNT(L1MUPRTUnr,'Muon pretrigger',' ')
            CALL HBNAME(L1MUPRTUnr,'values',L1MUPRTUbx,L1MUPRTUvalues)
         ELSEIF(idtup.eq.L1MUPRtupelnr) THEN
c
c           My private Ntuple for muon test purposes
c
            CALL HBNT(L1MUPRtupelnr,'Occup of Muon pretrigger',' ')
            CALL HBNAME(L1MUPRtupelnr,'values',L1MUPRtupelbx
     $           ,L1MUPRtupelvalues)
         ELSEIF(idtup.eq.L1MUP2tupelnr) THEN
c
c          Regular Pre-Ntuple ( Muon )
c
            CALL HBNT(L1MUP2tupelnr,'Regular Mu-Pretrigger',' ')
            CALL HBNAME(L1MUP2tupelnr,'values',L1MUP2tupelbx
     $           ,L1MUP2tupelvalues)

         ENDIF
c         CALL HPRNT(idtup)
      ENDDO
c
 777  CONTINUE
      CALL VZERO(T1EVMAXMass   ,L1MAXBxes)
      CALL VZERO(T1EVMAXPtSe   ,L1MAXBxes)
      CALL VZERO(T1EVMAXPtSm   ,L1MAXBxes)
      CALL VZERO(T1EVMAXPtUee  ,L1MAXBxes)
      CALL VZERO(T1EVMAXPtee   ,L1MAXBxes)
      CALL VZERO(T1EVMAXPtUmm  ,L1MAXBxes)
      CALL VZERO(T1EVMAXFbrems ,L1MAXBxes)
      CALL VZERO(L1EVMAXnpairs ,L1MAXBxes)
      CALL VZERO(L1EVMAXNtpm   ,L1MAXbxes)
      CALL VZERO(L1EVMAXNmess  ,L1MAXbxes)
      CALL VZERO(T1EVMaxPtValues,L1MAXbxes*L1PARNPartTypes)
      L1USRallEvents = 0
      L1USRfltEvents = 0
c
      RETURN
c
      END
