*CMZ :  1.04/01 13/01/95  13.13.13  by  Dominik Ressing
*-- Author :    Hartwig Albrecht   10/11/94

      SUBROUTINE UTETAB (IX, L, NR)

C Extend a table by (i.e. reserve space for) NR new rows.
C NR may be negative but not smaller than -(number of free rows).
C The number of used rows remains unchanged.

C Typical example (L = address of a bank; IX = division):
C ... IF (I_FREE(L) .EQ. 0)  CALL RCETAB (IX, L, 100) ! check # of free rows.
C                           !increase space in units of 100 rows if necessary.
C ... IQ(L+2) = IQ(L+2) + 1 !increase number of used rows.
C ... IQ(I_L(L,1)) = 999    !fill data into the last (= new) row.

      IMPLICIT NONE

#include "arte/Arte.fi"

      INTEGER IX, L(*), ND, NR

      ND = IQ(L(1)+1) * NR
      IF (IQ(L(1)-1) + ND .LE. IQ(L(1)+1) * IQ(L(1)+2) + 1)  THEN
        PRINT *,
     +    'UTETAB: incorrect number of rows. STOP'
        STOP
      END IF

      CALL MZPUSH (IX, L, 0, ND, ' ')

      END
