*CMZ :  2.01/03 01/02/96  10.52.36  by  Hartwig Albrecht
*CMZ :  2.01/02 17/01/96  15.19.53  by  Hartwig Albrecht
*CMZ :  2.01/01 20/10/95  11.50.03  by  HERA-B
*-- Author :    Hartwig Albrecht   15/09/95

      SUBROUTINE KALUDE

************************************************************************
*
* Description: KUIP LUDECAY command: List LUND decay table
*
* Called from: KUIP
*
* External references:
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/TOPP.fi"

      INTEGER I, L, K, TPNAM1, LUCOMP
      CHARACTER CNAME*12, CTPL*3

#include "arte/Arte.ff"
#include "auto/TOPP.ff"

      CALL UTKUGC (0, I, CNAME, L)
      CALL KUGETC (CTPL, K)

      IF (L .NE. 0)  I = TPNAM1 (CNAME)
      IF (L .NE. 0)  I = LUCOMP (ITOPP_LUND(I))
      CALL LILUDE (I, CTPL)

      END

************************************************************************
* End of KALUDE
************************************************************************
