*-- Author :    Hartwig Albrecht   26/10/95

      SUBROUTINE LIMVE1 (IVE, CTPL)

************************************************************************
*
* Description: list one vertex in MVER
*
* Called from: LIMVER
*
* External references:
*
* Argument in/out description
*   IVE    in     vertex number in MVER
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MVER.fi"

      INTEGER IVE
      CHARACTER CTPL*(*)

#include "arte/Arte.ff"
#include "auto/MVER.ff"

      C78 = ' '

      IF (JMVER .EQ. 0 .OR. IVE .LE. 0 .OR. IVE .GT. NMVER())  THEN

        C78 =  'LIMVE1: invalid MVER number'

      ELSE

        WRITE (C78, '(I5)')   OMVER_BTRA(IVE)
        CALL CHLEFT (C78(1:5))
        CALL CHFTOC (FMVER_Z(IVE), 5, '*', C78( 7:13))
        CALL CHFTOC (FMVER_X(IVE), 5, '*', C78(15:21))
        CALL CHFTOC (FMVER_Y(IVE), 5, '*', C78(23:29))
        WRITE (C78(33:), 1001)  OMVER_MCME(IVE), IMVER_FLAG(IVE), IVE

      END IF

      CALL ME78SP (CTPL)

 1001 FORMAT (I1,'  ------->',I2,I5)

      END

************************************************************************
* End of LIMVE1
************************************************************************
