*-- Author :    Rainer Mankel   13/01/97

      subroutine prrseg()

*     **** print reconstructed segments table
*     **** called by KUIP

      implicit none
#include "arte/Arte.fi"
      integer rs, rs1, rs2, nt, nch, ii, jj, idmc,
     +  mc_rel, jaux
      real p_rc
      character*1 cresp
      character*40 chopt
#include "auto/RSEG.fi"
#include "auto/MIMP.fi"
#include "pris/zmpack.fi"

#include "arte/Arte.ff"
#include "auto/RSEG.ff"
#include "auto/MIMP.ff"

*     **** number of selected track
      call kugeti(rs1)
      call kugeti(rs2)
      call kugeti(idmc)
      call kugetc(chopt,nch)

*     **** fixup
      if (jrseg.le.0) then
         call mewarn('prsegc: table RSEG is not booked')
         go to 999
      endif

      if (rs2.eq.0) rs2 = rs1
      if (rs1.eq.0) then
       rs1 = 1
       rs2 = iq(jrseg+2)
      endif
      rs1 = max(1,rs1)
      rs2 = min(rs2,iq(jrseg+2))

      nt = 0
      do 10 rs=rs1,rs2
         mc_rel = 0
         if (prseg_mtra(rs).gt.0) then
            jaux = prseg_mtra(rs)
            if (jaux.gt.0) then ! associated MC exists
               if (xrseg_mtra(jaux).eq.0) then ! unambiguous
                  mc_rel = mrseg_mtra(jaux)
               endif
            endif
         endif

         if (idmc.ne.0) then    ! locate MC particle
            if (idmc.ne.mc_rel) go to 10
         endif


         nt = nt + 1

*        **** header
         if (index(chopt,'L').eq.0) then ! first point
            if (frseg_pf(rs).ne.0.) then
               p_rc = 1./frseg_pf(rs)
            else
               p_rc = 0.
            endif
            if (mod(nt,10).eq.1.or.index(chopt,'M').gt.0)
     +           write(* ,'(a4,5a8,a10,a10,a10,a10,a6,1x,a8,a8)')
     +           'rs','zf','xf','yf','txf','tyf','1/p','p','t','dt',
     +           'fit','cmp','ch2'
            write(* ,'(i4,5f8.2,e10.2,f10.3,e10.2,e10.2,i6,1x,z8,f8.2)')
     +           rs,frseg_zf(rs),frseg_xf(rs),frseg_yf(rs),
     +           frseg_txf(rs),frseg_tyf(rs),frseg_pf(rs), p_rc,
     +           frseg_time(rs),frseg_dtim(rs),irseg_fit(rs),
     +           irseg_cmp(rs),frseg_chi(rs)
            if (index(chopt,'C').gt.0) then
               write(*,101)     ! print cov matrix
     +              ((frseg_cvf(matrix_pack(ii,jj),rs),jj=ii,5),ii=1,5)
 101           format(12x,5e10.2/12x,10x,4e10.2/12x,20x,3e10.2
     +              /12x,30x,2e10.2/12x,40x,1e10.2)
            endif
         else                   ! last point
            if (frseg_pe(rs).ne.0.) then
               p_rc = 1./frseg_pe(rs)
            else
               p_rc = 0.
            endif
            if (mod(nt,10).eq.1.or.index(chopt,'M').gt.0)
     +           write(* ,'(a4,5a8,a10,a10,a10,a10,a6,1x,a8,a8)')
     +           'rs','ze','xe','ye','txe','tye','1/p','p','t','dt',
     +           'fit','cmp','ch2'
            write(* ,'(i4,5f8.2,e10.2,f10.3,e10.2,e10.2,i6,1x,z8,f8.2)')
     +           rs,frseg_ze(rs),frseg_xe(rs),frseg_ye(rs),
     +           frseg_txe(rs),frseg_tye(rs),frseg_pe(rs), p_rc,
     +           frseg_time(rs),frseg_dtim(rs),irseg_fit(rs),
     +           irseg_cmp(rs),frseg_chi(rs)
            if (index(chopt,'C').gt.0) then
               write(*,101)     ! print cov matrix
     +              ((frseg_cve(matrix_pack(ii,jj),rs),jj=ii,5),ii=1,5)
            endif
         endif

         if (mod(nt,100).eq.0) then
            print *,' <any key to continue>'
            read(*,'(a1)') cresp
            if (cresp.eq.'q'.or.cresp.eq.'Q') go to 999
         endif
 10   continue

 999  end
