*CMZ :  4.05/00 12/04/96  10.26.32  by  Rainer Mankel
*CMZ :  4.04/00 14/12/95  13.16.17  by  Rainer Mankel
*-- Author :    Rainer Mankel   10/12/95

      subroutine divpset()

*     **** adjust viewport for workstation 1 if size has changed
      implicit none
      real rval(12), scal_x, scal_y, scal, off_x_vp, off_y_vp
#include "pris/zgraf.fi"
#include "pris/zframe.fi"

      call igqwk(1,'MXDS',rval) ! get viewport size for workstation 1

      if (int(rval(1)).eq.vpxzg.and.int(rval(2)).eq.vpyzg) go to 999

      vpxzg = int(rval(1))  ! store new viewport size
      vpyzg = int(rval(2))

*     **** define scale ...
      scal_x = rval(1) / a
      scal_y = rval(2) / (a * b)
      scal = min(scal_x,scal_y)

*     **** offset in vp space
      off_x_vp = 0.5 * (rval(1) - a * scal)
      off_y_vp = 0.5 * (rval(2) - a * b * scal)
**      off_y_vp = 0.             ! just to please HIGZ
      call iswkwn(1,0.,a,a*c,a*(b+c))

      if (off_x_vp.lt.0..or.(off_x_vp + a * scal).gt.rval(1)) then
         if (off_x_vp.lt.-0.001
     +        .or.(off_x_vp + a * scal).gt.rval(1)+0.001)
     +        print *,' () divpset: off_x_vp=', off_x_vp
         off_x_vp = amax1(0.,off_x_vp)
         off_x_vp = amin1(rval(1),off_x_vp)
      endif
      if (off_y_vp.lt.0..or.(off_y_vp + a * b * scal).gt.rval(2)) then
         if (off_y_vp.lt.-0.001
     +        .or.(off_y_vp + a * b * scal).gt.rval(2)+0.001)
     +     print *,' () divpset: off_y_vp=', off_y_vp
         off_y_vp = amax1(0.,off_y_vp)
         off_y_vp = amin1(rval(2),off_y_vp)
      endif

      call iswkvp(1,off_x_vp,off_x_vp + a * scal,off_y_vp,
     +     off_y_vp + a * b * scal)

      call iclrwk(1,1)  ! clear workstation

 999  end
