*CMZ :  4.04/01 26/03/96  14.28.09  by  Rainer Mankel
*CMZ :  4.03/00 13/07/95  16.38.57  by  Rainer Mankel
*CMZ :  4.02/00 17/05/95  18.14.27  by  Rainer Mankel
*-- Author :    Rainer Mankel   17/05/95


      real function tupmc(ih)

*     **** return MC track number which caused hit ih
*     **** (=0) if several associated MC tracks

      implicit none
      integer ih, mimp, jaux1, jaux2
#include "arte/Arte.fi"

#include "auto/MIMP.fi"
#include "auto/HITB.fi"
#include "arte/Arte.ff"
#include "auto/MIMP.ff"
#include "auto/HITB.ff"


      mimp = 0

*     **** check if sensible hit
      if (ih.gt.iq(jhitb+2)) then
       print *,' () tupmc: invalid ih=', ih,
     +         ' #hits=', iq(jhitb+2)
       stop 'tupmc'
      endif

*     **** get related MIMPs
      jaux1 = phitb_mimp(ih)
      if (jaux1.eq.0) then
       tupmc = 0.  ! no related MC particle
      else
       jaux2 = xhitb_mimp(jaux1) ! try to get second MC particle
       if (jaux2.eq.0) then
        mimp = mhitb_mimp(jaux1) ! get mimp
        if (mimp.gt.0.and.mimp.le.iq(jmimp+2)) then
         tupmc = fmimp_p(mimp)
        else
         tupmc = 0.
        endif
       else
        tupmc = 0.
       endif
      endif
      end
