*-- Author :    Rainer Mankel   06/09/93

      subroutine tfcut(ipass)
*
*     **** set cuts for current pass
      implicit none
#include "rang/zcut.fi"
#include "rang/zfmode.fi"
      integer ipass
      logical lprdon
      data lprdon /.false./
      save lprdon


      if (ipass.eq.0) then
       njfszc = 1
       nhmizc = 7
       njttzc = 7
**       daaczc = 0.04d0
       daaczc = 5.d0
       ch2tzc = 2.5d0
**       ch2fzc = 6.d0
       ch2fzc = 8.d0
**       dfjozc = .3d0
       if (.not.l_mag) then
        dfjozc = .4d0
       else
        dfjozc = 1000.d0
       endif
*      **** "strict" mimique is out-of-date
       nlvszc = 0
       ch2szc = 4.d0
**       dzmxzc = 2.5d0
       if (.not.l_mag) then
        dzmxzc = 100.d0
       else
*       **** larger ext dist for magnet
        dzmxzc = 200.d0
       endif
       zfmnct  = 600.d0
       dnoict = 0.0000001d0
       nlsmzc = 10000
       ndtuzc = 6
*      **** maximum angles this pass
       axmxzc = 99.d0
       aymxzc = 99.d0

*      **** range of seeding angles (relative to target direction)
       axs1zc = 0.d0
**       axs2zc = 99.d0
       ays1zc = 0.d0
**       ays2zc = 99.d0
       axs2zc = 2.d0
       ays2zc = 2.d0
**       lremzc = .true.
       lremzc = .false.
       lrmszc = .true.
       lchvzc = .false.
       pcmxzc = 1.d-3

      else
       print *,' () tfcut: unknown pass'
      endif

      end
