*-- Author :    Rainer Mankel   17/04/96

      subroutine tfmcown(hit,mc,sig)

*     **** get MC "owner" of track, & proper L/R assignment
      implicit none
      integer hit,mc,sig,mimp,jaux,cmp,ii
      real drift
#include "arte/Arte.fi"

#include "auto/HITB.fi"
#include "auto/MIMP.fi"
#include "auto/GEO.fi"

#include "arte/Arte.ff"
#include "auto/HITB.ff"
#include "auto/MIMP.ff"
#include "auto/GEO.ff"

      mimp = 0
      mc = 0
      sig = 0

*     **** check if sensible hit
      if (hit.gt.iq(jhitb+2)) then
         print *,' () tfmcown: invalid hit=', hit,
     +        ' #hits=', iq(jhitb+2)
         go to 999
      endif

      drift = 9999.
      cmp = igede_cmp(ihitb_gede(hit))

*     **** loop over related MIMPs
      do 10 ii=1,99
         if (ii.eq.1) then
            jaux = phitb_mimp(hit)
         else
            jaux = xhitb_mimp(jaux)
         endif
         if (jaux.eq.0) go to 999
         mimp = mhitb_mimp(jaux) ! get mimp

         if (cmp.eq.2) then     ! straw
            if (abs(fhitb_q(hit)).lt.drift) then
               mc = omimp_mtra(mimp)
               if (fhitb_q(hit).gt.0.) then
                  sig = +1
               else
                  sig = -1
               endif
               drift = abs(fhitb_q(hit))
            endif
         elseif (cmp.eq.1.or.cmp.eq.3) then ! Si, MSGC
            if (mc.eq.0) then
               mc = omimp_mtra(mimp)
               sig = 0
            else
               mc = 0           ! more than 1 strip mimp
               sig = 0
               go to 999
            endif
         else
            print *,' () tfmcown: invalid cmp=', cmp
            go to 10
         endif
 10   continue

 999  end



