
*-- Author :    Rainer Mankel   02/12/96

      subroutine tfrinit()

*     **** restricted initialization for ranger
*     **** to be called before first invocation of real work
*     **** geometry must already exist

      implicit none
#include "rang/zfpar.fi"
#include "rang/zfmode.fi"
      integer n_otr,sl
#include "arte/Arte.fi"
#include "auto/GEO.fi"
#include "arte/Arte.ff"
#include "auto/GEO.ff"

      call rginit()   ! initialize basics if not done yet

      if (l_rinit) then
         print *,' tfrinit: initialization already done '
         go to 999
      endif

      if (jgesl.le.0) then
         call mewarn('tfrinit: table GESL is not booked')
         go to 999
      endif


      n_otr = 0                 ! determine level of detector geometry
      do sl=1,iq(jgesl+2)
         if (igesl_cmp(sl).eq.2) then
            n_otr = n_otr + 1
         endif
      enddo

      if (n_otr.le.4) then
         dlevel_zfpar = 1       ! run 96 detector
      else
         dlevel_zfpar = 9       ! final  detector
      endif

      call tfplx()              ! Create plane auxiliary table

      call tfmode()             ! determine the tracking mode

      l_rinit = .true.          ! flag rinit done

 999  end
