
// ********************************************************************
//
// source:    usevnt.C
//
// type:      source code template
//            monte Carlo Production
//              detector simulation included
//              no digitization, no reconstruction
//
// created:   xx-xx-xx
//
// author:    your name
//
// changes:
//
// ********************************************************************

#include "usSelect.hh"
#include "arte/arte.hh"
#include "cluearte/cluearte.hh"

extern "C" {
  void hgevnt_();
  void dgevnt_();
  void l1evnt_();
  void rcevnt_();
}

extern "C" void usevnt_()
{
  // ******************************************************************
  
  // Step 1: GEANT detector simulation.
  //         No action if event is measured and not generated.
  //         Action only if the command GEANT is given.

#ifdef MONTE_CARLO
  hgevnt_();
#endif
  // ******************************************************************

  // Step 2: Detector digitization.
  //         No action if event is measured and not generateD
  //dgevnt_();
  // ******************************************************************

  // ******************************************************************
  // Step 3: Trigger simulation
  //l1evnt_();
  // ******************************************************************

  // ******************************************************************
  // Step 4: Event reconstruction
  //rcevnt_();
  // ******************************************************************

  // ******************************************************************
  // Step 5: Write CLUE output file
  //clueWriteEvent();
  // ******************************************************************

}
