*CMZ :          20/05/96  12.58.34  by  Unknown
*-- Author :   T.Lohse
c
c------------------------------------------------------------
c
c       subroutine:   VTSMO(iv)
c
c       input:    iv       =  vertex index      Int
c
c       output:   none
c
c       action:   smooth vertex iv and momenta
c
c------------------------------------------------------------
c
      subroutine VTSMO(iv)

      implicit none

      integer iv

      integer n, i, j

#include "vt/vtdat.fi"

      if (iv.gt.nvtmax)  return
      if ( .not. vtset(iv) )   return

      n  = ntr(iv)
      if ( n.lt.1 )   return
      if ( fit(iv).eq.0 )   return

      xvs(1,iv) = xv(1,iv,n)
      xvs(2,iv) = xv(2,iv,n)
      xvs(3,iv) = xv(3,iv,n)

      do  i = 1, 3
        do  j = 1, 3
          CS(i,j,iv) = C(i,j,iv,n)
        enddo
      enddo

      call VTSMOQ(iv)

      smooth(iv) = 1
      dist(iv) = 0

      return
      end
