*-- Author :    Hartwig Albrecht   22/05/95

      SUBROUTINE DDRELA

************************************************************************
*
* Description: Make drelat commands
*
* Called from: DDEXEC
*
* External references:
*
* Argument in/out description
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/DDEF.fi"
#include "arte/ZDDCOM.fi"
#include "arte/ZDDEFP.fi"

      INTEGER K1, K2, N, IFL, CHCMPN

#include "arte/Arte.ff"
#include "auto/DDEF.ff"

      N = NDDEF()
      DO 20 K1 = 1, N
        IF (IDDEF_FLAG(K1) .LT. LDDEF_RE1 .OR.
     +      IDDEF_FLAG(K1) .GT. LDDEF_INM)  GO TO 20

        IFL = 0
        DO 10 K2 = NDDUSR + 1, NDDEF()

          IF (IDDEF_FLAG(K2) .NE. LDDEF_REL .OR.
     +        CHCMPN (IQ(HQDDEF_NAM3(1,K1)),
     +                IQ(HQDDEF_NAME(1,K2))) .EQ. 0)  GO TO 10
          IFL = 1
          IF (IDDEF_FLAG(K1) .GE. LDDEF_IN1)  GO TO 10
          CALL CHCOPN (IQ(HQDDEF_NAM2(1,K1)), IQ(HQDDEF_NAM2(1,K2)))
          IQ(IQDDEF_DIV(K2)) = IDDEF_DIV(K1)

 10     CONTINUE

        IF (IFL .NE. 0)  GO TO 20
        CALL KADZZI (LDDEF_REL)
        CALL CHCOPN (IQ(HQDDEF_NAM3(1,K1)), IQ(HQDDEF_NAME_L(1)))
        IF (IDDEF_FLAG(K1) .GE. LDDEF_IN1)  GO TO 20
        CALL CHCOPN (IQ(HQDDEF_NAM2(1,K1)), IQ(HQDDEF_NAM2_L(1)))
        IQ(IQDDEF_DIV_L()) = IDDEF_DIV(K1)

 20   CONTINUE

      END

************************************************************************
* End of DDRELA
************************************************************************
