//                              -*- Mode: C++ -*-
//: ESPosition.hh
//
//
// Author: Mauro Villa   
// ECAL group 
// HERA-B experiment, Desy
// e-mail: villa@bo.infn.it
//
// Created 12/6/97
// Last Update ........
//

#include "care/ESPosition.hh"

//////////// member function definitions

//-- constructors
ESPosition::ESPosition() : 
  zf(0.0), xf(0.0), yf(0.0), energyf(0.0), sqenerrf(0.0), ndata(0), 
  type(Peak), maxHitC(0) {
  varf[0] = 0.0;
  varf[1] = 0.0;
  varf[2] = 0.0;
}

//-- destructor
ESPosition::~ESPosition(){}


 
