//                              -*- Mode: C++ -*-
//: EFCompareDeposits.hh
//
//
// Author: Mauro Villa   
// ECAL group 
// HERA-B experiment, Desy
// e-mail: villa@bo.infn.it
//
// Created 26/5/97
// Last Update ........
//

#ifndef EFCOMPDEP_HH_
#define EFCOMPDEP_HH_

#include "care/ECMCDeposit.hh"
#include "care/ECALtypes.hh"

/**
class  EFCompareDeposits.
  Functor used to compare energy deposits of different particles inside
  ECAL.
*/

class EFCompareDeposits {
  public:
  /// this is the comparing function: true when p1.Energy > p2.Energy.
  bool operator () ( const ECMCDeposit & p1, const ECMCDeposit & p2);
};

#endif // EFCOMPDEP_HH_
