#ifndef _TOPP_H_
#define _TOPP_H_
typedef struct {
   char name[12];
   float mass;
   float wid;
   float trbw;
   float life;
   int chrg;
   int colo;
   int deca;
   int lund;
   int gean;
   int anti;
   int tdec;
   int pmtra;
   int prtra;
} TOPP;
#define  JTOPP (gcbank_.iq+artelink_.jtopp)
#define  NTOPP() N_U(JTOPP)
#define NCTOPP() N_C(JTOPP)
#define TOPP(i) (*((TOPP*)(JTOPP+2)+(i)-1))
#include "auto/MTTO.h"
#define TOPP_pmtra(i) TOPP(i).pmtra
#define TOPP_mmtra(i) M_R(i,JMTTO)
#define TOPP_xmtra(i) X_R(i,JMTTO)
#include "auto/RTTO.h"
#define TOPP_prtra(i) TOPP(i).prtra
#define TOPP_mrtra(i) M_R(i,JRTTO)
#define TOPP_xrtra(i) X_R(i,JRTTO)
#endif
