*-- Author :    Hartwig Albrecht   12/04/95

      SUBROUTINE KASKIP

************************************************************************
*
* Description: SKIP command
*
* Called from: KUIP
*
* External references:
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MEIO.fi"
#include "arte/ZQUEST.fi"

      INTEGER LUN, N

#include "arte/Arte.ff"
#include "auto/MEIO.ff"

      CALL KUGETI (N)
      CALL KAGLUN (LUN)
      IF (LUN .EQ. 0)   LUN = LEVI1
      IQ(IQMEIO_FSKIP(LUN)) = 1
      IQ(IQMEIO_NSKIP(LUN)) = N + 1
      IF (IMEIO_PACK(IMEIO_CURRENT(LUN)) .EQ. 1   .AND.
     +     IMEIO_FLAG(IMEIO_CURRENT(LUN)) .EQ. 3) THEN
C     Zebra I/O and flag "open"
         IQ(IQMEIO_NSKIP(LUN)) = N
      ENDIF
      END

************************************************************************
* End of KASKIP
************************************************************************
