      subroutine kal1set
**************************************************
*
*     set various parameters for L1SIMU via KUIP
*
**************************************************
      implicit none

#include "l1si/l1kuip.fi"

      character*80 string
      character*6  item
      integer i,length,litem,ivalue,npar
      real rvalue
      integer kunpar
      logical first
      data first /.TRUE./

      call kal1frst

      npar = kunpar()
      call kugetc(item,litem)

      if(item.eq.'INIT')    goto 777

      if(item.eq.'SHOW')  then      ! show settings
       call l1sethelp
      elseif(npar.ge.2)  then
       if(item.eq.'DATA')   then
        call kugetf(l1k_datafile,length) ! data file name
       elseif(item.eq.'PRNLEV') then
        call kugeti(l1k_prnlev)     ! set printlevel
       elseif(item.eq.'NTUPLE') then
        do i=1,MIN(npar-1,l1k_maxntuple-l1k_nntuple)
         l1k_nntuple = l1k_nntuple+1
         call kugeti(l1k_ntuple(l1k_nntuple))
        enddo
       elseif(item.eq.'EKTRIG') then
        call kugetr(t1k_ektrig)
       elseif(item.eq.'CALONG') then
        call kugetc(item,length)
        l1k_calong = (item.eq.'ON')
       elseif(item.eq.'COGFRA') then
        call kugetr(t1k_cogfra)
       elseif(item.eq.'EPMIN') then
        call kugetr(t1k_epmin)
       elseif(item.eq.'EPMAX') then
        call kugetr(t1k_epmax)
       elseif(item.eq.'EINNER') then
        call kugetr(t1k_einner)
       else
*       unknown item
       endif
      else
*      error message
      endif
 777  continue
      end


