*CMZ :  0.01/02 10/08/94  21.26.46  by  Dominik Ressing
*CMZ :  0.01/01 24/07/94  13.13.55  by  Dominik Ressing
*-- Author :    Dominik Ressing   18/07/94
************************************************************************************
*
* L1JOBIN
* written by Dominik Ressing, 18/07/94 13.16.12
*
* This routines action:
* Initializes the job stack by building up a chain of jobs in the empty stack.
*
*
************************************************************************************
c
      SUBROUTINE l1jobin
c
      IMPLICIT NONE
c
#include "l1si/l1jobdf.fi"
c
      INTEGER ijobpo,ijobold,ijob
c
c     --- no jobs used so far and first job in free queue is the first.
      L1JOBstore(L1JOBsused)           = 0
      L1JOBstore(L1JOBsused+L1JOBprev) = 0
      L1JOBstore(L1JOBsfree)           = L1JOBsused + L1JOBlen
      L1JOBstore(L1JOBsfree+L1JOBprev) = 0
c
      ijobpo = L1JOBstore(L1JOBsfree)
      ijobold = L1JOBsfree
c
      DO ijob = 3,L1JOBnof
c        --- pointer to previous stored job
         L1JOBstore(ijobpo+L1JOBprev) = ijobold
c        --- increment pointer to ``last stored job''
         ijobold = ijobpo
c        --- increment ``job-pointer''
         ijobpo  = ijobpo + L1JOBlen
c        --- store pointer to next job
         L1JOBstore(ijobold) = ijobpo
c
      ENDDO
c     --- store 0 in pointer to next job for last job in queue
      L1JOBstore(ijobold) = 0
c
      RETURN
      END
