
#ifndef MuNede_h
#define MuNede_h 1

//## Class: MuNede
//      /**Author:        Boris Fominykh
//
//      Date:             December 20, 1999
//
//      Class:            MuNede
//
//      Base Class:       none
//
//      Description:
//      This is a container class for muon NEDE element
//      key word nedekey = 10000*msl+1000*lay+100*updown+10*nx+sd
//      the regions are  msl    1-4
//                       lay    1-3
//                       updown 0-1
//                       nx     1-99
//                       sd     0-1  */

class MuNede
{
public:
    //## Constructor
      MuNede();
    //## Destructor
      ~MuNede();

// public methods
    //        /**Initialization*/
      void Ini();
    //        /**Print*/
      void Print();

// public variables

      int Valid;

      int nedekey;
      int neslkey;
      int inede;
      int nesl;

      int cmp;
      int lay;
      int sec;
      int shp;
      float xmin;
      float xmax;
      float ymin;
      float ymax;
      float zmin;
      float zmax;
      float sxmn;
      float sxmx;
      float symn;
      float symx;
      float cos;
      float sin;
      float rot[9];
      float acc;
      float eff;
      float dod;
      float pit;
      float ms;
      float xfw[4];
      float zfw[4];
      int nwi[4];
      int nsl;
      int nwl;
      int fwl;
      float xmad;
      float ymad;
      float zmad;
      float y1w[4];
      float y2w[4];
      char gvol[5];
      char hwc[13];
      float dedx;
      int gcop;
      float noise;
      float ares;

  protected:
  private:
};
#endif
