*-- Author :    Rainer Mankel   06/01/96

      subroutine dikscope()

*     **** set superlayer scope
*     **** to be called by KUIP
      implicit none
      integer maxc, sl, ii, nch, action
      parameter (maxc=15)
      integer nc(maxc)
      character*10 c(maxc), chopt
#include "pris/zgraf.fi"
#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"
#include "auto/GEO.fi"
#include "arte/Arte.ff"
#include "auto/GEO.ff"

      if (prisinit.eq.0) call dicinit() ! automatic initialization

      do ii=1,maxc
         call kugetc(c(ii),nc(ii))
      enddo
      call kugetc(chopt,nch)

      if (index(chopt,'L').gt.0) then
         print *,' Superlayers within scope:'
         do sl=1,min0(scmxzg,iq(jgesl+2))
            print *,' sl=', sl, ' scope=', lscopzg(sl)
            print '(10x,i4,2x,a4,2x,l1)', sl, hgesl_name(sl),
     +           lscopzg(sl)
         enddo
         go to 999
      endif

      if (index(chopt,'I').gt.0) then
         action = 1
      elseif (index(chopt,'O').gt.0) then
         action = -1
      else
         call discope(' ',0.,0.,0) ! reset scope
         action = 1
      endif

      do ii=1,maxc
*        **** check for predefined expressions
         if (c(ii).eq.' ') then
            go to 999           ! nothing left to do
         elseif (c(ii)(1:nc(ii)).eq.'SIVD') then
            call discope('SI*',0.,200.,action)
         elseif (c(ii)(1:nc(ii)).eq.'FULL') then
            call discope('SI*',0.,9999.,action)
            call discope('MS*',0.,9999.,action)
            call discope('MC*',0.,9999.,action)
**            call discope('WT*',0.,9999.,action)
            call discope('PC*',0.,9999.,action)
            call discope('TC*',0.,9999.,action)
         elseif (c(ii)(1:nc(ii)).eq.'MAIN') then
            call discope('SI*',200.,9999.,action)
            call discope('MS*',200.,9999.,action)
            call discope('MC*',200.,9999.,action)
**            call discope('WT*',200.,9999.,action)
            call discope('PC*',200.,9999.,action)
            call discope('TC*',200.,9999.,action)
         elseif (c(ii)(1:nc(ii)).eq.'IMAIN') then
            call discope('SI*',200.,9999.,action)
            call discope('MS*',200.,9999.,action)
         elseif (c(ii)(1:nc(ii)).eq.'OMAIN') then
            call discope('MC*',200.,9999.,action)
**            call discope('WT*',200.,9999.,action)
            call discope('PC*',200.,9999.,action)
            call discope('TC*',200.,9999.,action)
         elseif (c(ii)(1:nc(ii)).eq.'MAG') then
            call discope('SI*',200.,700.,action)
            call discope('MS*',200.,700.,action)
            call discope('MC*',200.,700.,action)
**            call discope('WT*',200.,700.,action)
            call discope('PC*',200.,700.,action)
            call discope('TC*',200.,700.,action)
         elseif (c(ii)(1:nc(ii)).eq.'IMAG') then
            call discope('SI*',200.,700.,action)
            call discope('MS*',200.,700.,action)
         elseif (c(ii)(1:nc(ii)).eq.'OMAG') then
            call discope('MC*',200.,700.,action)
**            call discope('WT*',200.,700.,action)
            call discope('PC*',200.,700.,action)
            call discope('TC*',200.,700.,action)
         elseif (c(ii)(1:nc(ii)).eq.'PAT') then
            call discope('SI*',700.,1000.,action)
            call discope('MS*',700.,1000.,action)
            call discope('MC*',700.,1000.,action)
**            call discope('WT*',700.,1000.,action)
            call discope('PC*',700.,1000.,action)
            call discope('TC*',700.,1000.,action)
         elseif (c(ii)(1:nc(ii)).eq.'IPAT') then
            call discope('SI*',700.,1000.,action)
            call discope('MS*',700.,1000.,action)
         elseif (c(ii)(1:nc(ii)).eq.'OPAT') then
            call discope('MC*',700.,1000.,action)
**            call discope('WT*',700.,1000.,action)
            call discope('PC*',700.,1000.,action)
            call discope('TC*',700.,1000.,action)
         elseif (c(ii)(1:nc(ii)).eq.'TRIG') then
            call discope('SI*',1000.,9999.,action)
            call discope('MS*',1000.,9999.,action)
            call discope('MC*',1000.,9999.,action)
**            call discope('WT*',1000.,9999.,action)
            call discope('PC*',1000.,9999.,action)
            call discope('TC*',1000.,9999.,action)
         elseif (c(ii)(1:nc(ii)).eq.'ITRIG') then
            call discope('SI*',1000.,9999.,action)
            call discope('MS*',1000.,9999.,action)
         elseif (c(ii)(1:nc(ii)).eq.'OTRIG') then
            call discope('MC*',1000.,9999.,action)
**            call discope('WT*',1000.,9999.,action)
            call discope('PC*',1000.,9999.,action)
            call discope('TC*',1000.,9999.,action)
         elseif (c(ii)(1:nc(ii)).eq.'TRD') then
            call discope('TR*',1000.,9999.,action)
         elseif (c(ii)(1:nc(ii)).eq.'ECAL') then
            call discope('CALW',0.,9999.,action)
         elseif (c(ii)(1:nc(ii)).eq.'MUON') then
            call discope('MX*',0.,9999.,action)
            call discope('MU*',0.,9999.,action)
         elseif (c(ii)(1:nc(ii)).eq.'PT') then
            call discope('PT*',0.,9999.,action)
         else
            call discope(c(ii)(1:nc(ii)),0.,9999.,action)
         endif
      enddo

 999  end

