*-- Author :    Rainer Mankel   08/11/93

      subroutine dirtra(imc,idrc,islsta,islend,chopt)

*     **** display reconstructed tracks
      implicit none
#include "pris/zgraf.fi"
#include "pris/zmh.fi"
#include "arte/Arte.fi"

      integer it, imc, idrc, islsta, islend, ialia, jaux, mc_match,
     +     ncorrect, rr, iirrel
      character*(*) chopt
#include "auto/REC.fi"
#include "auto/MC.fi"
#include "arte/Arte.ff"
#include "auto/REC.ff"
#include "auto/MC.ff"

      if (jrtra.le.0) then
         call mewarn('dirtra: table RTRA is not booked')
         go to 999
      endif

      if (imc.eq.0) then
       do 10 it=1,iq(jrtra+2)

*       **** locate mc_match
        if (prtra_mtra(it).gt.0) then
         jaux = prtra_mtra(it)
         mc_match = mrtra_mtra(jaux)
        else
         mc_match = 0
        endif

*       **** check imc
        if (imc.ne.0.and.mc_match.ne.imc) go to 10
*       **** check idrc
        if (idrc.ne.0.and.idrc.ne.it) go to 10
*       **** check rvzg
        if (rvzg.gt.0) then
           
           ncorrect = 0
           do 30 iirrel=1,99
              if (iirrel.eq.1) then  ! loop over associated rrel
                 jaux = prtra_rrel(it)
              else
                 jaux = xrtra_rrel(jaux)
              endif
              if (jaux.eq.0) go to 31

              rr = mrtra_rrel(jaux)
              if (orrel_rver(rr).eq.rvzg) then
                 ncorrect = ncorrect + 1
                 go to 31
              endif
 30        continue
 31        continue
           if (ncorrect.eq.0) go to 10
        endif

*       **** check -B
        if (lb0zg.or.index(chopt,'B').gt.0) then
         if (mc_match.eq.0) go to 10
         if (.not.gold_mh(mc_match)) go to 10
        endif

*       **** check ref option
        if (index(chopt,'R').gt.0) then
         if (mc_match.eq.0) go to 10
         if (.not.ref_mh(mc_match)) go to 10
        endif

        call di1rtra(it,islsta,islend,chopt)
 10    continue
      else
*      **** find RC tracks associated with imc
       if (imc.lt.0.or.imc.gt.iq(jmtra+2)) then
        print *,' () dirtra: invalid imc=', imc
        go to 999
       endif

       do 20 ialia=1,20
        if (ialia.eq.1) then
         jaux = pmtra_rtra(imc)
        else
         jaux = xmtra_rtra(jaux)
        endif
        if (jaux.eq.0) go to 21

        it = mmtra_rtra(jaux)
        call di1rtra(it,islsta,islend,chopt)
 20    continue
 21    continue
      endif

 999  end

